metadata:
  name: tiny-container-user-seccomp
  format: "Apertis Test Definition 1.0"
  image-types:
    tiny-lxc: [ armhf-internal, armhf, arm64, amd64 ]
  image-deployment:
    - LXC
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Test that the custom seccomp profile could be applied for
                unprivileged container started as user"

  expected:
    - "Test command should report \"pass\"."

install:
  git-repos:
    - url: https://gitlab.apertis.org/infrastructure/tiny-image-recipes.git
      branch: apertis/v2021dev2

run:
  steps:
    - "# Enter test directory:"
    - cd tiny-image-recipes
    - "# Ensure we allow user mapping:"
    - sysctl -w kernel.unprivileged_userns_clone=1
    - "# Setup the AppArmor profile for container:"
    - sed s/__NAMESPACE_PLACEHOLDER__/lxc-apertis-tiny-userns/g lxc/lxc-tiny-connectivity-profile-template | apparmor_parser -qr
    - "# Make sure user have correct mappings for test:"
    - usermod --add-subuids 1000-1000 user
    - usermod --add-subuids 100000-165535 user
    - usermod --add-subgids 1000-1000 user
    - usermod --add-subgids 100000-165535 user
    - "# Check that the simple seccomp profile for the container is loaded and works"
    - sudo -u user -H lavatests/test-seccomp-policy -a "$ARCH" -r "$RELEASE" -d "$IMAGE_DATE" -t lxc/lxc-tiny-connectivity --aa-namespace "lxc-apertis-tiny-userns" -p "--seccomp $PWD/lavatests/test-minimal-policy.seccomp"

parse:
  pattern: "(?P<test_case_id>.*-*):\\s+(?P<result>(pass|fail))"
